Bug 97245 - Post installation fails with a system error 22 Invalid Argument
Summary: Post installation fails with a system error 22 Invalid Argument
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-11 20:52 UTC by David Otero
Modified: 2007-04-18 16:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-14 16:42:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error message reported at the end of the installation. (103.65 KB, text/plain)
2003-06-11 20:54 UTC, David Otero
no flags Details

Description David Otero 2003-06-11 20:52:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
I am attaching the anacdump file, but basically the installation is failing 
during the post installation script with a invalid 22 argument.  Not exactly 
sure what that means.  When the machine boots it fails with a non-system disk 
or disk error message.  This machine is brand new, so I was hoping the problem 
was with my configuration.
Any help would be appreciated.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install OS with provide configuration.
2.
3.
    

Actual Results:  Everything is installed, but the machine won't boot.

Expected Results:  The machine should have booted.

Additional info:

The machine has a 36GB HD.  During the patitioning, I left 10GB or so
unalloacted.  10GB was set as a LV.

Comment 1 David Otero 2003-06-11 20:54:43 UTC
Created attachment 92345 [details]
Error message reported at the end of the installation.

Comment 2 Michael Fulbright 2003-06-12 16:50:48 UTC
Are you activating the device eth1 during configuration?

Comment 3 David Otero 2003-06-12 19:51:10 UTC
I was configuring the machine to use a specific IP address so I setup eht0 to 
that IP address and unchecked eth1.  I did several more re-installations and 
isolated the problem to the network cards as well.  I was able to get the 
machine to boot if I enabled both of them to use DHCP, which is not what I 
want to do.  I am going to try to re-install again, this time giving eth0 an 
IP address and eht1 to use DHCP.  Will that work?

Thanks for the quick response.

Comment 4 Michael Fulbright 2003-06-19 18:53:44 UTC
I am not sure but I would recommend you try RHL 9 instead as we've fixed alot of
problems since RHL 8.

Comment 5 Michael Fulbright 2003-07-14 16:42:54 UTC
Closing due to inactivity. Please reopen if you have additional information to
add to this report.


Note You need to log in before you can comment on or make changes to this bug.